%global momorel 2

Summary: A library to extract meta-data from files
Name:	 libextractor
Version: 0.5.16
Release: %{momorel}m%{?dist}
License: GPL
URL:	 http://gnunet.org/libextractor/  
Group:	 System Environment/Libraries
Source0: http://gnunet.org/libextractor/download/libextractor-%{version}.tar.gz
NoSource: 0
Patch0: libextractor-0.5.16-CVE-2007-3387.patch
BuildRequires: gtk+-devel >= 2.0.6 glib-devel >= 2.0.0
BuildRequires: exiv2-devel libgsf-devel
BuildRequires: mpeg2dec-devel libvorbis-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libextractor is a library used to extract meta-data from files of arbitrary type. It is designed to use helper-libraries to perform the actual extraction, and to be trivially extendable by linking against external extractors for additional file types.

The goal is to provide developers of file-sharing networks or WWW-indexing bots with a universal library to obtain simple keywords to match against queries. libextractor contains a shell-command "extract" that, similar to the well-known "file" command, can extract meta-data from a file an print the results to stdout.

Currently, libextractor supports the following formats: HTML, PDF, PS, OLE2 (DOC, XLS, PPT), OpenOffice (sxw), StarOffice (sdw), DVI, MAN, MP3 (ID3v1 and ID3v2), NSF, OGG, WAV, EXIV2, JPEG, GIF, PNG, TIFF, DEB, RPM, TAR(.GZ), ZIP, ELF, REAL, RIFF (AVI), MPEG, QT and ASF.
Also, various additional MIME types are detected.

%package devel
Summary:	Header files and libraries for a development with %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}


%prep
%setup -q
%patch0 -p1 -b .CVE-2007-3387

%build
%configure --enable-xpdf --enable-exiv2 --enable-static
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/%{name}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS PLATFORMS
%doc README* TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/%{name}/*.a
%{_mandir}/man3/*

%changelog
* Tue Aug  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.16-2m)
- [SECURITY] CVE-2007-3387
- add patch0 to fix CVE-2007-3387

* Fri Dec 15 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.16-1m)
- initial packaging for Momonga
